Page MenuHomePhabricator

Move watchlist related code in InfoAction to WatchedItemStore
Closed, ResolvedPublic5 Story Points

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 10 2016, 2:51 PM
Tobi_WMDE_SW set the point value for this task to 5.Mar 10 2016, 3:01 PM
Tobi_WMDE_SW moved this task from Proposed to Review on the TCB-Team-Sprint-2016-03-02 board.

Change 266572 had a related patch set uploaded (by Addshore):
Move counting of watchers to WatchedItemStore

https://gerrit.wikimedia.org/r/266572

Change 268650 had a related patch set uploaded (by Addshore):
Move countVisitingWatchers to WatchedItemStore

https://gerrit.wikimedia.org/r/268650

How about the copies of those queries that live in the API code? Is this an opportunity to reduce duplication?

See T129482 and particularly my comment at T129482#2107083

The use in the API does things like $this->addTables $this->addColums etc and does not look quite as easy to just swap out, although it is still on the cards and tracked by the above ticket.

Change 266572 merged by jenkins-bot:
Move counting of watchers to WatchedItemStore

https://gerrit.wikimedia.org/r/266572

Change 268650 merged by jenkins-bot:
Move countVisitingWatchers to WatchedItemStore

https://gerrit.wikimedia.org/r/268650

Tobi_WMDE_SW closed this task as Resolved.Mar 16 2016, 11:40 AM
Tobi_WMDE_SW moved this task from Incoming to Done on the TCB-Team board.Mar 17 2016, 2:01 PM